<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Gustavo
 * Date: 19/09/12
 * Time: 09:49
 * To change this template use File | Settings | File Templates.
 */
    class ClassAutoloader {
        public function __construct() {
            spl_autoload_register(array($this, 'loader'));
        }
        private function loader($className) {
            include "../".str_replace('\\', '/', $className) . '.php';
        }
    }
    define( 'PLUGINSURL' , '../../prototype/plugins' );
    define( 'MODULESURL' , '../../prototype/modules/newMail' );

    $autoloader = new ClassAutoloader();

    use Assetic\Asset\AssetCollection;
    use Assetic\Asset\FileAsset;
    use Assetic\Asset\GlobAsset;

    $js = new AssetCollection(array(
        //new FileAsset(PLUGINSURL.'/zebradialog/javascript/zebra_dialog.js'),
        //new FileAsset(PLUGINSURL.'/scrollto/jquery.scrollTo.js'),
        new FileAsset(PLUGINSURL.'/fileupload/jquery.fileupload.js'),
        new FileAsset(PLUGINSURL.'/fileupload/jquery.iframe-transport.js'),
        //new FileAsset(PLUGINSURL.'/jpicker/jpicker-1.1.6.min.js'),
        new FileAsset(PLUGINSURL.'/watermark/jquery.watermarkinput.js'),
        new FileAsset(PLUGINSURL.'/alphanumeric/jquery.alphanumeric.js'),
        new FileAsset(PLUGINSURL.'/qtip/jquery.qtip-1.0.0-rc3.min.js'),
        new FileAsset(PLUGINSURL.'/contextmenu/jquery.contextMenu.js'),
        new FileAsset(PLUGINSURL.'/farbtastic/farbtastic.js'),
        new FileAsset(PLUGINSURL.'/fgmenu/fg.menu.js'),
        new FileAsset(PLUGINSURL.'/treeview/jquery.treeview.js'),
        new FileAsset(PLUGINSURL.'/treeview/lib/jquery.cookie.js'),
        new FileAsset(PLUGINSURL.'/layout/jquery.layout.min.js'),
        new FileAsset(PLUGINSURL.'/wijmo/jquery.wijmo-open.all.2.2.0.min.js'),
        new FileAsset(PLUGINSURL.'/jqgrid/js/i18n/grid.locale-pt-br.js'),
        new FileAsset(PLUGINSURL.'/jqgrid/js/jquery.jqGrid.min.js'),
        new FileAsset(PLUGINSURL.'/ejs/ejs.js'),
        new FileAsset(PLUGINSURL.'/countdown/jquery.countdown.min.js'),
        new FileAsset(PLUGINSURL.'/countdown/jquery.countdown-pt-BR.js'),

        new FileAsset(MODULESURL.'/js/formatters.js'),
        new FileAsset(MODULESURL.'/js/newfoldertree.js'),
        new FileAsset(MODULESURL.'/js/tabs.js'),
        new FileAsset(MODULESURL.'/js/alerts.js'),
        new FileAsset(MODULESURL.'/js/folder.js'),
        new FileAsset(MODULESURL.'/js/init.js')

        //new FileAsset(PLUGINSURL.'/mask/jquery.maskedinput.js')
    ));
    header('Content-Type: text/javascript');
    echo $js->dump();
?>